D-Bus 1.13.18

Data Fields
DBusObjectPathVTable Struct Reference
D-Bus low-level public API » DBusConnection

Virtual table that must be implemented to handle a portion of the object path hierarchy. More...

`#include <dbus-connection.h>`

## Data Fields
DBusObjectPathUnregisterFunction | unregister_function
| Function to unregister this handler.
DBusObjectPathMessageFunction | message_function
| Function to handle messages.
void(* | dbus_internal_pad1 )(void *)
| Reserved for future expansion.
void(* | dbus_internal_pad2 )(void *)
| Reserved for future expansion.
void(* | dbus_internal_pad3 )(void *)
| Reserved for future expansion.
void(* | dbus_internal_pad4 )(void *)
| Reserved for future expansion.

## Detailed Description

Virtual table that must be implemented to handle a portion of the object path hierarchy.

Attach the vtable to a particular path using dbus_connection_register_object_path() or dbus_connection_register_fallback().

Definition at line 385 of file dbus-connection.h.

The documentation for this struct was generated from the following file:

- dbus-connection.h